about summary refs log tree commit diff
path: root/tests/simple.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2004-05-04T12·15+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2004-05-04T12·15+0000
commit256eeab7112da2d5fe1629ffb8b86640a894ee6d (patch)
treed173bcf930f86c296793a0cd20c7c83900c0bd18 /tests/simple.sh
parentfd927c5d25f1518dcbf99a57223f46fe098d9011 (diff)
* Allow the location of the store etc. to be specified using
  environment variables.
* Started adding some automatic tests.
* Do a `make check' when building RPMs.

Diffstat (limited to 'tests/simple.sh')
-rw-r--r--tests/simple.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/simple.sh b/tests/simple.sh
new file mode 100644
index 0000000000..68da000d19
--- /dev/null
+++ b/tests/simple.sh
@@ -0,0 +1,10 @@
+storeExpr=$($TOP/src/nix-instantiate/nix-instantiate simple.nix)
+
+echo "store expr is $storeExpr"
+
+outPath=$($TOP/src/nix-store/nix-store -qnfvvvvv "$storeExpr")
+
+echo "output path is $outPath"
+
+text=$(cat "$outPath"/hello)
+if test "$text" != "Hello World!"; then exit 1; fi